#! /usr/bin/perl

use strict;

my $type_style =  '; font-family:serif,Times,serif; font-size:12px; color:#000000"';
my $type_style_large =  '; font-family:serif,Times,serif; font-size:20px; color:#000000"';

my $CommandProcessed = 0;
my $text_line = "";

my ($Command) = @ARGV;

if (not defined $Command) {
  $Command = "NoCommand";
}

`mv progress.txt progress.read`;

print "Content-type: text/html\n\n";
print '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">' . "\n";
print "<html><head><title>CNC commands received</title>" . "\n";


print "<style>\n";
print "  body{\n";
print "    font-family: monospace;\n";
print "    font-size: 14px;\n";
print "    font-style: normal;\n";
print "    font-variant: normal;\n";
print "    font-weight: 500;\n";
print "    line-height: 16px;\n";
print "  }\n";
print "  div{\n";
print "    width: 100%;\n";
print "    height: 100%;\n";
print "    background-color: white;\n";
print "    animation-name: example;\n";
print "    animation-duration: 4s;\n";
print "    text-align: center;\n";
print "  }\n";

print "  \@keyframes example{\n";
print "    from {background-color: white;}\n";
print "    to {background-color: #99FF99;}\n";
print "  }\n";
print "</style>\n";

print "</head>\n<body>\n";

if(-e "progress.read"){
  open(FILEIN,'<progress.read') || die 'Can not open progress.read file Please try again.</body></html>';

    while(!eof(FILEIN)){
      $text_line = <FILEIN>;
      $text_line =~ s/ /&nbsp;/g;
      print $text_line . "<br>";
    }
  close(FILEIN);
}
else{
  print "<div>Creating stats, please wait...</div>\n";
}

print '</body></html>';


exit (0);



