#! /usr/bin/perl

use strict;
#use CGI qw(:standard);
#use CGI::Carp qw(fatalsToBrowser);

my $type_style =  '; font-family:serif,Times,serif; font-size:12px; color:#000000"';
my $type_style_large =  '; font-family:serif,Times,serif; font-size:20px; color:#000000"';

#my $Command = param("Command");
#my $Command = "TestCommand";
my $CommandProcessed = 0;

my ($Command) = @ARGV;

my $burntime = 0;
my $laser = 0;
my $i;
my $exec_command = "";
my $previewWidth = 0;
my $previewHeight = 0;
my $laserPowerIdle = 1;

if (not defined $Command) {
  $Command = "NoCommand";
}

print "Content-type: text/html\n\n";
print '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">' . "\n";
print "<html><head><title>CNC commands received</title>" . "\n";

print "</head><body>";

#for ($i=0; $i<$#ARGV + 1; $i++) {
#  print "Argument($i)=$ARGV[$i]<br>\n";
#}

print '<table border="0" cellpadding="0" cellspacing="0"><tr>' . "\n";

open(DATEIOUT,'>Commands.tmp') || die '<td style="background-color:#FF0000' . $type_style . '>Can not open commands.tmp file Please try again.</td></tr></table></body></html>';

  if(index($Command, "ShutDown") == 0){
    open(SHUTDOWNFILE,'>shutdown.tmp') || die '<td style="background-color:#FF0000' . $type_style . '>Can not open commands.tmp file Please try again.</td></tr></table></body></html>';
      print SHUTDOWNFILE "ShutDown, 0\n";
    close (SHUTDOWNFILE);
    $CommandProcessed = 1;
  }

  if(index($Command, "burntime") > -1){
    $burntime = substr($Command, index($Command, "burntime")+8, 3) * 1;
    if($burntime > 100 || $burntime < 0){
      $burntime = 0;
    }
    $CommandProcessed = 1;
  }

  if(index($Command, "laser") > -1){
    $laser = substr($Command, index($Command, "laser")+5, 3) * 1;
    if($laser > 100 || $laser < 0){
      $laser = 0;
    }
    $CommandProcessed = 1;
  }

  if(index($Command, "previewWidth") > -1){
    $previewWidth = substr($Command, index($Command, "previewWidth")+12, 3) * 1;
    if($previewWidth > 490 || $previewWidth < 0){
      $previewWidth = 0;
    }
    $CommandProcessed = 1;
  }

  if(index($Command, "previewHeight") > -1){
    $previewHeight = substr($Command, index($Command, "previewHeight")+13, 3) * 1;
    if($previewHeight > 490 || $previewHeight < 0){
      $previewHeight = 0;
    }
    $CommandProcessed = 1;
  }

  if(index($Command, "laserPowerIdle") > -1){
    $laserPowerIdle = substr($Command, index($Command, "laserPowerIdle")+14, 3) * 1;
    if($laserPowerIdle > 10 || $laserPowerIdle < 1){
      $laserPowerIdle = 1;
    }
    #$exec_command = "./engrave laserPowerIdle=" . $laserPowerIdle . " > /dev/null &";
    #printf("Executing >$exec_command<\n");
    system($exec_command);
    #printf("...done!\n");
    $CommandProcessed = 1;
  }


  if(index($Command, "MachinePREVIEW") > -1){
    $exec_command = "./engrave preview previewWidth=" . $previewWidth . " previewHeight=" . $previewHeight . " laserPowerIdle=" . $laserPowerIdle . " > /dev/null &";
    #printf("Executing >$exec_command<\n");
    system($exec_command);
    #printf("...done!\n");
    $CommandProcessed = 1;
  }


  if(index($Command, "MachineSTART") > -1 && $burntime > 0 && $laser > 0){
    $exec_command = "./engrave file=upload.bmp laser=" . $laser . " burntime=" . $burntime . " laserPowerIdle=" . $laserPowerIdle . " > /dev/null &";
    #printf("Executing >$exec_command<\n");
    system($exec_command);
    #printf("...done!\n");
    $CommandProcessed = 1;
  }


  if($Command eq "MachineSTOP"){
    `cp commandfile.txt MachineSTOP.txt`;
    $CommandProcessed = 1;
  }

  if($Command eq "MachinePAUSE"){
    `cp commandfile.txt MachinePAUSE.txt`;
    $CommandProcessed = 1;
  }

  if($Command eq "MachineRESUME"){
    `cp commandfile.txt MachineRESUME.txt`;
    $CommandProcessed = 1;
  }


  if($CommandProcessed == 0){
    print DATEIOUT $Command . "\n";
  }
close (DATEIOUT);
`mv Commands.tmp Commands.txt`;


print '<td style="background-color:#00FF00' . $type_style . '">Command ' . $Command . ' received!</td></tr></table></body></html>';


exit (0);



